com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonFormatVisitable

- All Known Implementing Classes:
    ArraySerializerBase, AsArraySerializerBase, AtomicReferenceSerializer, BeanAsArraySerializer, BeanSerializer, BeanSerializerBase, BooleanSerializer, ByteArraySerializer, ByteBufferSerializer, CalendarSerializer, ClassSerializer, CollectionSerializer, ContainerSerializer, CoreXMLSerializers.XMLGregorianCalendarSerializer, DateSerializer, DateTimeSerializerBase, DOMSerializer, EnumSerializer, EnumSetSerializer, FailingSerializer, FileSerializer, IndexedListSerializer, IndexedStringListSerializer, InetAddressSerializer, InetSocketAddressSerializer, IterableSerializer, IteratorSerializer, JsonSerializer, JsonSerializer.None, JsonValueSerializer, MapEntrySerializer, MapSerializer, NioPathSerializer, NonTypedScalarSerializerBase, NullSerializer, NumberSerializer, NumberSerializers.Base, NumberSerializers.DoubleSerializer, NumberSerializers.FloatSerializer, NumberSerializers.IntegerSerializer, NumberSerializers.IntLikeSerializer, NumberSerializers.LongSerializer, NumberSerializers.ShortSerializer, ObjectArraySerializer, RawSerializer, ReferenceTypeSerializer, SerializableSerializer, SqlBlobSerializer, SqlDateSerializer, SqlTimeSerializer, StaticListSerializerBase, StdArraySerializers.BooleanArraySerializer, StdArraySerializers.CharArraySerializer, StdArraySerializers.DoubleArraySerializer, StdArraySerializers.FloatArraySerializer, StdArraySerializers.IntArraySerializer, StdArraySerializers.LongArraySerializer, StdArraySerializers.ShortArraySerializer, StdArraySerializers.TypedPrimitiveArraySerializer, StdDelegatingSerializer, StdJdkSerializers.AtomicBooleanSerializer, StdJdkSerializers.AtomicIntegerSerializer, StdJdkSerializers.AtomicLongSerializer, StdKeySerializer, StdKeySerializers.Default, StdKeySerializers.Dynamic, StdKeySerializers.EnumKeySerializer, StdKeySerializers.StringKeySerializer, StdScalarSerializer, StdSerializer, StringArraySerializer, StringCollectionSerializer, StringSerializer, TimeZoneSerializer, TokenBufferSerializer, ToStringSerializer, ToStringSerializerBase, TypeWrappedSerializer, UnknownSerializer, UnsupportedTypeSerializer, UnwrappingBeanSerializer, UUIDSerializer

      public interface JsonFormatVisitable

  Interface `JsonSerializer` implements to allow for visiting type hierarchy.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor, JavaType typeHint)` Get the representation of the schema to which this serializer will conform.

- - ### Method Detail

    - #### acceptJsonFormatVisitor

          void acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor,
                                       JavaType typeHint)
                                throws JsonMappingException

      Get the representation of the schema to which this serializer will conform.
      Parameters:
        `typeHint` - Type of element (entity like property) being visited
      Throws:
        `JsonMappingException`

Copyright © 2008–2020 FasterXML. All rights reserved.